MODULE Stundenplan EXPORTS Main;
(*   
    Autor    : Horst Lichter 
    Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
    Erstellt : 25.08.98
    Letzte Aenderung: 25.08.98 
*)
IMPORT SIO;
TYPE
  Tage	= {Montag, Dienstag, Mittwoch, Donnerstag, Freitag};
  Stunden	= [7..20];
  Vormittag	= [8..12];
  Faecher	= {Keine, Englisch, Software_1, Mathematik};
  Plan	= ARRAY Tage, Stunden OF Faecher;
CONST
  TagNamen	= ARRAY Tage OF TEXT{"Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag"};
  FachNamen = ARRAY Faecher OF TEXT{"Keine", "Englisch", "Software_1", "Mathematik"};

VAR stundenPlan : Plan;					(*Speichert den StundenPlan*)

BEGIN
  FOR tag:= FIRST(Tage) TO LAST(Tage) DO
    FOR stunde:= FIRST(Stunden) TO LAST(Stunden) DO
	stundenPlan[tag, stunde] := Faecher.Keine;	(*Initialisierung auf Keine*)
    END; (*FOR stunde*)
  END; (*FOR tag*)

  FOR stunde:= 8 TO 18 DO				(*Fast den ganzen Montag Englisch*)
    stundenPlan[Tage.Montag, stunde]:= Faecher.Englisch;
  END; (*FOR stunde*)

 (*Von Dienstag bis Freitag um 10 Uhr Software_1*)
  FOR tag:= Tage.Dienstag TO Tage.Freitag DO
    stundenPlan[tag, 10] := Faecher.Software_1;
  END; (*FOR tag*)

  stundenPlan[Tage.Dienstag, 8] := Faecher.Mathematik;
  stundenPlan[Tage.Freitag, 9] := Faecher.Mathematik;

 (*Ausdruck des Vormittagsplans *)
  FOR tag:= FIRST(Tage) TO LAST(Tage) DO
    SIO.PutText(TagNamen[tag] & "\n");
    FOR stunde:= FIRST(Vormittag) TO LAST(Vormittag) DO
      SIO.PutInt(stunde); 
      SIO.PutText(":" & FachNamen[stundenPlan[tag, stunde]]);
    END; (*FOR stunde*)
    SIO.Nl();
  END; (*FOR tag*)

END Stundenplan.

