MODULE Parameter EXPORTS Main;
(* Zeigt call-by-value und cal-by-reference
   Autor    : Horst Lichter
   Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
   Erstellt : 07.10.98   
   Letzte Aenderung: 29.11.2000
*)

IMPORT IO, SIO;

VAR aktuell: INTEGER;

PROCEDURE Proc1 (VALUE formal : INTEGER) =
(* Aufruf mit Call by Value *)
BEGIN
  formal := 10;
END Proc1;

PROCEDURE Proc2 (VAR formal : INTEGER) =
(* Aufruf mit Call by Reference *)
BEGIN
  formal := 10;
END Proc2;

BEGIN
  aktuell := 6;
  Proc1 (aktuell);
  SIO.PutText("aktuell (Proc1) = "); 
  SIO.PutInt(aktuell); 		(* aktuell bleibt =6 *)
  SIO.Nl();  

  aktuell := 6;
  Proc2 (aktuell);
  SIO.PutText("aktuell (Proc2) = "); 
  SIO.PutInt(aktuell);		(* aktuell jetzt =10 *)
END Parameter.